org.tmatesoft.svn.core.io

## Interface ISVNLockHandler

-     public interface ISVNLockHandler

  The ISVNLockHandler interface is used to provide some extra processing of locked/unlocked paths.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.
  See Also:
    `SVNRepository.lock(java.util.Map, String, boolean, ISVNLockHandler)`, `SVNRepository.unlock(java.util.Map, boolean, ISVNLockHandler)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleLock(java.lang.String path, SVNLock lock, SVNErrorMessage error)` Handles the path locked.
    `void` | `handleUnlock(java.lang.String path, SVNLock lock, SVNErrorMessage error)` Handles the path unlocked.

- - ### Method Detail

    - #### handleLock

          void handleLock(java.lang.String path,
                        SVNLock lock,
                        SVNErrorMessage error)
                          throws SVNException

      Handles the path locked.
      Parameters:
        `path` - a file path relative to the repository root directory
        `lock` - the lock set on this `path`
        `error` - if not null then it's an error message object for an error occurred while trying to lock an entry, in this case `lock` may be null
      Throws:
        `SVNException`

    - #### handleUnlock

          void handleUnlock(java.lang.String path,
                          SVNLock lock,
                          SVNErrorMessage error)
                            throws SVNException

      Handles the path unlocked.
      Parameters:
        `path` - a file path relative to the repository root directory
        `lock` - the lock released from this `path`
        `error` - if not null then it's an exception occurred while trying to unlock the `path`, in this case `lock` may be null
      Throws:
        `SVNException`